%define upstream_name    Tie-EncryptedHash
%define upstream_version 1.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:        Hashes (and objects based on hashes) with encrypting fields
License:        Artistic
Group:          Development/Perl
Url:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/modules/by-module/Tie/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:  perl(Crypt::CBC)
BuildRequires:	perl(Crypt::Blowfish)
BuildRequires:  perl(Crypt::DES)
BuildArch:      noarch


%description 
Tie::EncryptedHash augments Perl hash semantics to build
secure, encrypting containers of data. Tie::EncryptedHash
introduces special hash fields that are coupled with
encrypt/decrypt routines to encrypt assignments at STORE()
and decrypt retrievals at FETCH(). By design, encrypting
fields are associated with keys that begin in single
underscore. The remaining keyspace is used for accessing
normal hash fields, which are retained without
modification.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README.html
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.240.0-11.mga10
+ Revision: 2215911
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 1.240.0-10.mga9
+ Revision: 1901201
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.240.0-9.mga8
+ Revision: 1497803
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.240.0-8.mga7
+ Revision: 1272365
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.240.0-7.mga6
+ Revision: 1035198
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.240.0-6.mga6
+ Revision: 937872
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.240.0-5.mga5
+ Revision: 739519
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.240.0-4.mga5
+ Revision: 686683
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.240.0-3.mga4
+ Revision: 515659
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.240.0-2.mga3
+ Revision: 374303
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 1.240.0-1.mga1
+ Revision: 40060
- mageia rebuild
- imported package perl-Tie-EncryptedHash


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.240.0-1mdv2010.0
+ Revision: 408092
- rebuild using %%perl_convert_version

* Wed Jul 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2009.0
+ Revision: 236289
- update to new version 1.24

* Thu Feb 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.21-4mdv2008.1
+ Revision: 168173
- fix no-buildroot-tag
- kill (multiple!) definitions of %%buildroot on Pixel's request

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 1.21-4mdv2008.0
+ Revision: 23637
- rebuild


* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.21-3mdk
- Fix url
- Fix BuildRequires thanks guillomovitch for the explanations

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.21-2mdk
- rebuild for new perl

* Thu Nov 06 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.21-1mdk
- New package

